#
# spec file for package pdfposter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pdfposter
Version:        0.6.1.dev0
Release:        2.1
Url:            https://gitlab.com/pdftools/pdfposter
Summary:        Scale and tile PDF images/pages to print on multiple pages
License:        GPL-3.0+
Group:          Development/Libraries/Python
Source0:        pdftools.%{name}-%{version}.tar.bz2
Source1:        poster.sh
Source2:        pdfposter-rpmlintrc
# PATCH-FIX-OPENSUSE
Patch0:         0001-Add-trimbox-option.patch
# PATCH-FIX-OPENSUSE
Patch1:         0002-Add-overlap-percent-option.patch
# PATCH-FIX-OPENSUSE
Patch2:         0003-Add-xoffset-percent-and-yoffset-percent-options.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}
BuildRequires:  python-docutils
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  scons
Requires:       python
Requires:       python-PyPDF2
Requires:       python-base = 2.7
Requires:       python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1010
BuildRequires:  fdupes
%endif
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Pdfposter can be used to create a large poster by building it from
multple pages and/or printing it on large media. It expects as input a
PDF file, normally printing on a single page. The output is again a
PDF file, maybe containing multiple pages together building the
poster. The input page will be scaled to obtain the desired size.

This is much like poster does for Postscript files, but working
with PDF. Since sometimes poster does not like your files converted
from PDF. Indeed pdfposter was inspired by poster.

%package -n poster
Summary:        Script to print posters
Group:          Development/Libraries/Python
Requires:       %{name} = %{version} ghostscript-library xpdf-tools

%description -n poster
This provides a script /usr/bin/poster as a drop in replacement for the old
poster, for the benefit of dependent printer dialoges, e.g., KDE3 kprinter.

%prep
%setup -n pdftools.%{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%build
export CFLAGS="%{optflags}"
python setup.py build

%install
env PYTHONPATH= scons || true	# crashes somehow after doing the man page. that is okay.
python setup.py install --root=%{buildroot} --prefix=%{_prefix}
install -m 755 %{S:1} %{buildroot}/usr/bin/poster
mkdir -p %{buildroot}%{_mandir}/man1/
install -m 644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
%if 0%{?suse_version} > 1010
%fdupes %{buildroot}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/%{name}
%{python_sitelib}/*

%files -n poster
%defattr(-,root,root)
%{_bindir}/poster

%changelog
* Thu Jun 22 2017 jslaby@suse.com
- install python 2 docutils to fix build
* Mon Feb 29 2016 kkaempf@suse.com
- update to 0.6.1dev0 (git rev d800e72c)
- new upstream location url
- rename patches
  notrim_option.patch to 0001-Add-trimbox-option.patch
  overlap_option.patch to 0002-Add-overlap-percent-option.patch
  xy_offset.patch
    to 0003-Add-xoffset-percent-and-yoffset-percent-options.patch
- add 0004-Include-pdfposter.rst-and-ez_setup.py-in-tarball.patch
- drop svnfetch.sh
* Wed Apr 24 2013 froh@suse.com
- add overlap extra option -S aka --overlap-reduces-scale:
  overlap at cost of the overall poster size?  or increase printout by
  overlap, so the poster size is exact?
* Fri Apr 19 2013 froh@suse.com
- fix overlap_option to work when scale is not set.
* Wed Jan 30 2013 saschpe@suse.de
- Set license to SPDX style
* Tue Oct 25 2011 jw@suse.com
- added xy_offset.patch -- a new feature that allows
  us to shift the grid.
* Fri Jun 24 2011 jw@novell.com
- updated to 0.6.0dev, no changelog.
  Patches upstreamed, but not yet accepted.
  see http://pdfposter.origo.ethz.ch/issues/17
- overlap default is 0, to be compatible.
- option -t should be specified for compatibility.
- using scons to generate docs.
* Tue Jun 21 2011 jw@novell.com
- /usr/bin/pdfposter imports from pkg_resources,
  provided by python-setuptools, added require.
* Fri Jun 17 2011 jw@novell.com
- updated requires
* Wed Apr 27 2011 saschpe@suse.de
- Spec file cleanup:
  - No reStructuredText in description
  - Remove unneeded defines
  - Added group and proper requires to package 'poster'
  - Use %%{buildroot} instead of $RPM_BUILD_ROOT
  - Proper preamble indentation
  - Use fdupes
  - Avoid --record-rpm to fix non-SUSE distro build
  - Add rpmlintrc to avoid python naming policy warning, it's an app
* Thu May 27 2010 jw@novell.com
- split /usr/bin/poster into poster subpackage
* Wed May 26 2010 jw@novell.com
- added man documentation to overlap_option.patch
* Sat Oct 10 2009 jw@novell.com
- Added overlap_option.patch
  New default: tile images overlap by 5%%
  New option -O to adjust this.
* Sun Sep 27 2009 jw@novell.com
- updated to 0.5.0
  No upstream changelog available.
- made rpmlint happy again for >= 11.1
* Mon Jun  9 2008 toms@suse.de
- Added missing man page into spec file
- Added missing Requires keyword
* Mon Jun  9 2008 toms@suse.de
- Initial package 0.4.2
